@require '../../../assets/stylesheets/global.styl';


.button {
  display: flex;
  align-self: center;
  align-items: center;

  border: $borderWidth = 3px solid $pink;
  background-color: white;
  cursor: pointer;
  font-family: Raleway;
  font-weight: $fw-bold;
  font-size: $font-large;

  &:focus {
    outline: none;
  }

  &:active {
    border-color: darken($pink, 20%);
    .text {
      color: darken($purple, 20%);
    }
  }

  .text {
    margin-left: - $borderWidth;
    margin-right: - $borderWidth;
    margin-top: $small-spacing;
    margin-bottom: $small-spacing;
    padding-left: $small-spacing;
    padding-right: $small-spacing;

    background-color: white;
    color: $purple;
  }

  &.disabled{
    opacity: 0.6;
  }
}
